package ch.psi.daq.test.queryrest;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport;

import ch.psi.daq.query.processor.QueryProcessor;
import ch.psi.daq.queryrest.config.QueryRestConfig;
import ch.psi.daq.test.cassandra.config.LocalCassandraTestConfig;
import ch.psi.daq.test.queryrest.query.DummyQueryProcessor;

@Configuration
@Import(value = {LocalCassandraTestConfig.class, QueryRestConfig.class})
@EnableWebMvc
public class DaqWebMvcConfig extends WebMvcConfigurationSupport {

    // add test-specific beans and configurations here
   
   @Bean
   public QueryProcessor queryProcessor() {
      return new DummyQueryProcessor();
   }
}